summaryrefslogtreecommitdiffstats
path: root/handbrake
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-11-26 21:00:32 +0000
committer Eric Hameleers <alien@slackware.com>2009-11-26 21:00:32 +0000
commitc161eda54e36b9f5cc3f7cac188a1302da6b5b04 (patch)
tree131677bef134b468d33e17da5c0dc62f3bab501c /handbrake
parent675544ff3d0a935b0900c9d5232495d6914b5fb8 (diff)
downloadasb-c161eda54e36b9f5cc3f7cac188a1302da6b5b04.tar.gz
asb-c161eda54e36b9f5cc3f7cac188a1302da6b5b04.tar.xz
Updated for 0.9.4
Diffstat (limited to 'handbrake')
-rwxr-xr-xhandbrake/build/handbrake.SlackBuild48
1 files changed, 27 insertions, 21 deletions
diff --git a/handbrake/build/handbrake.SlackBuild b/handbrake/build/handbrake.SlackBuild
index 683331b1..126082de 100755
--- a/handbrake/build/handbrake.SlackBuild
+++ b/handbrake/build/handbrake.SlackBuild
@@ -37,8 +37,10 @@
# Note, that handbrake will download a lot of other dependencies
# on it's own, so it will require an Internet connection during
# compilation.
-# r2830-1: 20/sep/2009 by Eric Hameleers, Eindhoven, NL
+# r2830-1: 20/sep/2009 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 0.9.4-1: 26/nov/2009 by Eric Hameleers <alien@slackware.com>
+# * Stable release, first in a year!
#
# Run 'sh handbrake.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -49,9 +51,8 @@
# Set initial variables:
PRGNAM=handbrake
-#VERSION=${VERSION:-0.9.3}
-VERSION=${VERSION:-r2830}
-ARCH=${ARCH:-x86_64}
+VERSION=${VERSION:-0.9.4}
+#VERSION=${VERSION:-r2830}
BUILD=${BUILD:-1}
TAG=${TAG:-alien}
@@ -66,14 +67,25 @@ TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-SOURCE[0]="$SRCDIR/HandBrake-${VERSION}.tar.gz"
-#SRCURL[0]="http://handbrake.fr/rotation.php?file=HandBrake-${VERSION}.tar.gz"
-SRCURL[0]=""
+SOURCE[0]="$SRCDIR/HandBrake-${VERSION}.tar.bz2"
+#SRCURL[0]="http://handbrake.fr/rotation.php?file=HandBrake-${VERSION}.tar.bz2"
+#SRCURL[0]=""
+SRCURL[0]="http://dl.dropbox.com/u/56460/Handbrake/HandBrake-${VERSION}.tar.bz2"
##
## --- with a little luck, you won't have to edit below this point --- ##
##
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
# Exit the script on errors:
set -e
trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
@@ -88,9 +100,6 @@ case "$ARCH" in
s390) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- powerpc) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
@@ -111,13 +120,14 @@ src_checkout() {
# Param #1 : index in the SOURCE[] array.
# Param #2 : full path to where SOURCE[$i] tarball should be created.
# Determine the tarball extension:
- PEXT=$(echo "${2}" | sed -r -e 's/.*[^.].(tar.gz|tar.bz2|tgz).*/\1/')
- if [ "$PEXT" == "${2}" ]; then # we did not find a allowed extension
- echo "Archive can only have extension '.tar.gz' '.tar.bz2' or '.tgz'"
- exit 1
- else
- [ "$PEXT" = "tar.bz2" ] && TARCOMP="j" || TARCOMP="z"
- fi
+ PEXT=$(echo "${2}" | sed -r -e 's/.*[^.].(tar.xz|tar.gz|tar.bz2|tgz).*/\1/')
+ case "$PEXT" in
+ "tar.xz") TARCOMP="J" ;;
+ "tar.gz") TARCOMP="z" ;;
+ "tgz") TARCOMP="z" ;;
+ "tar.bz2") TARCOMP="j" ;;
+ *) echo "Archive can only have extension 'tar.xz', '.tar.gz' '.tar.bz2' or '.tgz'" ; exit 1 ;;
+ esac
case ${1} in
0) # HandBrake-${VERSION}
if [ "$(echo ${VERSION}|cut -c1)" == 'r' ]; then # revision instead of date
@@ -200,10 +210,6 @@ make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
make install DESTDIR=$PKG
)
-## Install the commandline client:
-#mkdir -p $PKG/usr/bin
-#install -m755 build/HandBrakeCLI $PKG/usr/bin
-
# Remove this cache file, it will get in our way:
[ -f $PKG/usr/share/icons/hicolor/icon-theme.cache ] \
&& rm -f $PKG/usr/share/icons/hicolor/icon-theme.cache